Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class TranscoderSupport

    java.lang.Object
      org.apache.batik.transcoder.TranscoderSupport

Direct Known Subclasses:
  AbstractTranscoder

    public class TranscoderSupport

extends Object

This is a utility class that can be used by transcoders that support transcoding hints and/or error handler.

Field Summary
`protected ErrorHandler` | `handler` The error handler used to report warnings and errors.
`protected TranscodingHints` | `hints` The transcoding hints.

Constructor Summary
`TranscoderSupport()` Constructs a new `TranscoderSupport`.

Method Summary
`void` | `addTranscodingHint(TranscodingHints.Key key, Object value)` Sets the value of a single preference for the transcoding process.
`ErrorHandler` | `getErrorHandler()` Returns the error handler this transcoder uses to report warnings and errors, or null if any.
`TranscodingHints` | `getTranscodingHints()` Returns a copy of the transcoding hints of this transcoder.
`void` | `removeTranscodingHint(TranscodingHints.Key key)` Removes the value of a single preference for the transcoding process.
`void` | `setErrorHandler(ErrorHandler handler)` Sets the error handler this transcoder may use to report warnings and errors.
`void` | `setTranscodingHints(Map hints)` Replaces the values of all preferences for the transcoding algorithms with the specified hints.
`void` | `setTranscodingHints(TranscodingHints hints)` Sets the values of all preferences for the transcoding algorithms with the specified hints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hints

    protected TranscodingHints hints

  The transcoding hints.

### handler

    protected ErrorHandler handler

  The error handler used to report warnings and errors.

Constructor Detail

### TranscoderSupport

    public TranscoderSupport()

  Constructs a new `TranscoderSupport`.

Method Detail

### getTranscodingHints

    public TranscodingHints getTranscodingHints()

  Returns a copy of the transcoding hints of this transcoder.

### addTranscodingHint

    public void addTranscodingHint(TranscodingHints.Key key,
                                   Object value)

  Sets the value of a single preference for the transcoding process.

  Parameters:
    `key` - the key of the hint to be set
    `value` - the value indicating preferences for the specified hint category.

### removeTranscodingHint

    public void removeTranscodingHint(TranscodingHints.Key key)

  Removes the value of a single preference for the transcoding process.

  Parameters:
    `key` - the key of the hint to remove

### setTranscodingHints

    public void setTranscodingHints(Map hints)

  Replaces the values of all preferences for the transcoding algorithms with the specified hints.

  Parameters:
    `hints` - the rendering hints to be set

### setTranscodingHints

    public void setTranscodingHints(TranscodingHints hints)

  Sets the values of all preferences for the transcoding algorithms with the specified hints.

  Parameters:
    `hints` - the rendering hints to be set

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Sets the error handler this transcoder may use to report warnings and errors.

  Parameters:
    `handler` - to ErrorHandler to use

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Returns the error handler this transcoder uses to report warnings and errors, or null if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.